# RPM specfile for eel2 module
# Generated Tue Nov 18 19:26:36 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from 

%define nam	eel2
%define ver	2.2.4
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	5

Name:     	eel2
Version: 	2.2.4
Release:	0.ximian.6.5
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	eel-2.2.4.tar.gz
BuildRequires:	GConf2-devel >= 1.1.11
BuildRequires:	gtk2-devel >= 2.1.0
BuildRequires:	libart_lgpl-devel >= 2.3.11
BuildRequires:	gail-devel >= 0.16
BuildRequires:	glib2-devel >= 2
BuildRequires:	libgnome-devel >= 2.0
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	gnome-vfs2-devel >= 1.9
BuildRequires:	popt >= 1.5
BuildRequires:	libxml2-devel >= 2.4.7
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	scrollkeeper
Summary:	Eazel Extensions Library
Group:		System Environment/Libraries
Requires:	gtk2 >= 2.1.0
Requires:	libart_lgpl >= 2.3.11
Requires:	gail >= 0.16
Requires:	GConf2 >= 1.1.11
Requires:	glib2 >= 2
Requires:	libgnome >= 2.0
Requires:	libgnomeui >= 2.0
Requires:	gnome-vfs2 >= 1.9
Requires:	libxml2 >= 2.4.7
Requires:	libglade2 >= 2.0.0
Provides:	ximian-eel2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	eel2-devel < 2.2.4-0.ximian.6.5
Conflicts:	eel2-devel > 2.2.4-0.ximian.6.5

%description
The eel2 library contains a number of generally useful classes and
functions.  Many of them are extensions to things in glib2, gtk2,
gnome-libs, and other widely-used GNOME 2 platform libraries.

%files
%defattr(-, root, root)
%doc AUTHORS README NEWS HACKING ChangeLog INSTALL COPYING THANKS TODO
/usr/lib/*.so.*
/usr/*/locale/*/LC_MESSAGES/*


%post
ldconfig

%postun
ldconfig

%package -n eel2-devel
Summary:	Eazel Extensions Library
Group:		Development/Libraries
Requires:	eel2 = 2.2.4-0.ximian.6.5
Requires:	gtk2-devel >= 2.1.0
Requires:	libart_lgpl-devel >= 2.3.11
Requires:	gail-devel >= 0.16
Requires:	GConf2-devel >= 1.1.11
Requires:	glib2-devel >= 2
Requires:	libgnome-devel >= 2.0
Requires:	libgnomeui-devel >= 2.0
Requires:	gnome-vfs2-devel >= 1.9
Requires:	libxml2-devel >= 2.4.7
Requires:	libglade2-devel >= 2.0.0
Provides:	ximian-eel2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n eel2-devel
This contains headers and libraries for developing with eel2.

%files -n eel2-devel
%defattr(-, root, root)
/usr/include/*
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/pkgconfig/*.pc


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n eel-2.2.4
    ;;
all)
%setup  -q -n eel-2.2.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Nov 18 2003 Ximian, Inc.

- Version: 2.2.4-0.ximian.6.5
- Summary: New build.
- New automated build.

* Tue Apr 29 2003 Ximian, Inc.

- Version: 2.2.3.1-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 2.2.2-0.ximian.2
- Summary: New build.
- New automated build.

* Mon Sep 16 2002 Ximian, Inc.

- Version: 2.0.7-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Aug 29 2002 Ximian, Inc.

- Version: 2.0.6-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Aug 16 2002 Ximian, Inc.

- Version: 2.0.4-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Aug 9 2002 Ximian, Inc.

- Version: 2.0.3-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Jul 26 2002 Ximian, Inc.

- Version: 2.0.2-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Jul 24 2002 Ximian, Inc.

- Version: 2.0.1-1.ximian.1
- Summary: New build.
- New automated build.

* Sat Jul 13 2002 Ximian, Inc.

- Version: 2.0.0-1.ximian.1
- Summary: New build.
- New automated build.

